//---------------------------------------------------------------------------
#ifndef MainFormH
#define MainFormH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "SHDOCVW.hpp"
#include <vcl\OleCtrls.hpp>
#include <vcl\Menus.hpp>
#include "Project.hpp"
#include "RXSplit.hpp"
#include "Placemnt.hpp"
#include "AppEvent.hpp"
//---------------------------------------------------------------------------
class TEqnPreviewMainForm : public TForm
{
__published:	// IDE-managed Components
	TMemo *Memo1;
	TPanel *Panel1;
	TTimer *Timer1;
	TMainMenu *MainMenu1;
	TMenuItem *Update1;
	TMenuItem *Now1;
	TProject *Project1;
	TMenuItem *About1;
	TMenuItem *Immediately1;
	TMenuItem *Every1Second1;
	TMenuItem *Every2Seconds1;
	TMenuItem *Every5Seconds1;
	TMenuItem *File1;
	TMenuItem *Exit1;
	TMenuItem *N1;
	TMenuItem *Every10Seconds1;
	TMenuItem *ManuallyOnly1;
	TRxSplitter *RxSplitter1;
	TFormStorage *FormStorage1;
	TAppEvents *AppEvents1;
	TMenuItem *Minimize1;
	TWebBrowser *WebBrowser1;
	TMenuItem *EveryHalfSecond1;
	void __fastcall FormResize(TObject *Sender);
	
	void __fastcall FormCreate(TObject *Sender);
	
	
	
	
	
	
	
	
	void __fastcall WebBrowser1CommandStateChange(TObject *Sender, int Command,
	WordBool Enable);
	void __fastcall Now1Click(TObject *Sender);
	void __fastcall About1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Immediately1Click(TObject *Sender);
	void __fastcall Every1Second1Click(TObject *Sender);
	void __fastcall Every2Seconds1Click(TObject *Sender);
	void __fastcall Every5Seconds1Click(TObject *Sender);
	void __fastcall Every10Seconds1Click(TObject *Sender);
	void __fastcall ManuallyOnly1Click(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	
	void __fastcall RxSplitter1PosChanged(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	
	
	
	
	
	void __fastcall Memo1Change(TObject *Sender);
	
	void __fastcall AppEvents1Minimize(TObject *Sender);
	void __fastcall AppEvents1Restore(TObject *Sender);
	void __fastcall Minimize1Click(TObject *Sender);
	
	
	
	void __fastcall EveryHalfSecond1Click(TObject *Sender);
	
private:	// User declarations
public:		// User declarations
	__fastcall TEqnPreviewMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TEqnPreviewMainForm *EqnPreviewMainForm;
//---------------------------------------------------------------------------
#endif
